class bubDatabase:
    # Users 
    async def _get_user_bub(self) -> dict:
        _notes = await self.usersdb5.find_one({"user": "user"})
        if not _notes:
            return {}
        return _notes["notes"]

    async def list_user_bub(self) -> list:
        _notes = []
        for note in await self._get_user_bub():
            _notes.append(note)
        return _notes

    async def get_user_bub(self, name: str) -> bool:
        name = name
        _notes = await self._get_user_bub()
        if name in _notes:
            return _notes[name]
        else:
            return False

    async def add_user_bub(self, name: str, note: dict):
        name = name
        _notes = await self._get_user_bub()
        _notes[name] = note
        await self.usersdb5.update_one(
            {"user": "user"}, {"$set": {"notes": _notes}}, upsert=True
        )

    async def del_user_bub(self, name: str) -> bool:
        notesd = await self._get_user_bub()
        name = name
        if name in notesd:
            del notesd[name]
            await self.usersdb5.update_one(
                {"user": "user"}, {"$set": {"notes": notesd}}, upsert=True
            )
            return True
        return False
