from pyrogram.types import InlineKeyboardButton


class InlineBdb:
    def start_bdb(self, user_id):
        digit = 1
        buttons = [
            [
                InlineKeyboardButton(text="Buat Pembayaran", callback_data=f"plan_bdb none|{digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Channel BDB", url="https://t.me/BokepDownloader"),
                InlineKeyboardButton(text="Fitur BDB", callback_data="fitur_bdb")
            ],
        ]
        return buttons


    def back_bdb(self):
        buttons = [
            [
                InlineKeyboardButton(text="Channel Testimoni", url="https://t.me/BDBTestimoni"),
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_bdb"),
            ],
        ]
        return buttons
    
    
    def plan_bdb(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(text="Premium Plus VIP", url="https://t.me/BokepDownloader/85")
            ],
            [
                InlineKeyboardButton(text="-1", callback_data=f"plan_bdb min|{digit}|{user_id}"),
                InlineKeyboardButton(text="+1", callback_data=f"plan_bdb max|{digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Lanjutkan Ke Pembayaran", callback_data=f"service_bdb {digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_bdb")
            ],
        ]
        return buttons


    def service_bdb(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Setuju & Lanjutkan ✅", 
                    callback_data=f"payment_bdb none|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(text="❌ Tidak Setuju & Batalkan ❌", callback_data="close_bdb"),
            ],
        ]
        return buttons


    def payment_bdb(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(
                    text="QRIS", 
                    callback_data=f"payment_bdb qris|{digit}|{user_id}"
                ),
                InlineKeyboardButton(
                    text="DANA",
                    callback_data=f"payment_bdb dana|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(
                    text="OVO", 
                    callback_data=f"payment_bdb ovo|{digit}|{user_id}"
                ),
                InlineKeyboardButton(
                    text="GOPAY", 
                    callback_data=f"payment_bdb gopay|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(
                    text="« Kembali", 
                    callback_data=f"plan_bdb none|{digit}|{user_id}"
                )
            ],
        ]
        return buttons


    def confirm_bdb(self, digit, user_id):
        buttons = [
            [InlineKeyboardButton(
                text="✅ Konfirmasi ✅",
                callback_data=f"confirm_bdb {digit}|{user_id}"
            )]
        ]
        return buttons


    def approve_bdb(self, digit, user_id, msgid):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Approve ✅", 
                    callback_data=f"approve_bdb {digit}|{user_id}|{msgid}"
                ),
            ],
            [
                InlineKeyboardButton(
                    text="❌ UnApprove ❌", callback_data="close_bdb"
                )
            ],
        ]
        return buttons


    def reload_bdb(self, user_id):
        digit = 1
        buttons = [
            [InlineKeyboardButton("🔄 Ulangi Berlangganan 🔄", callback_data=f"plan_bdb none|{digit}|{user_id}")]
        ]
        return buttons
