from pyrogram.types import InlineKeyboardButton


class InlineBub:
    def start_bub(self, user_id):
        digit = 1
        buttons = [
            [
                InlineKeyboardButton(text="Buat Pembayaran", callback_data=f"plan_bub none|{digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Channel", url="https://t.me/BokepUserBots"),
                InlineKeyboardButton(text="Fitur", callback_data="fitur_bub")
            ],
        ]
        return buttons


    def back_bub(self):
        buttons = [
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_bub"),
            ],
        ]
        return buttons


    def search_bub(self):
        buttons = [
            [
                InlineKeyboardButton(text="🔍 Cari Video Viral 🔎", switch_inline_query_current_chat=""),
            ],
        ]
        return buttons


    def single_bub(self, file_id):
        buttons = [
            [
                InlineKeyboardButton(text="📥 Download Video 📥", callback_data=f"single_bub {file_id}|none"),
            ],
            [
                InlineKeyboardButton(text="🔍 Cari Video Viral 🔎", switch_inline_query_current_chat=""),
            ],
        ]
        return buttons
    
    
    def plan_bub(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(text="-1", callback_data=f"plan_bub min|{digit}|{user_id}"),
                InlineKeyboardButton(text="+1", callback_data=f"plan_bub max|{digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Lanjutkan Ke Pembayaran", callback_data=f"service_bub {digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_bub")
            ],
        ]
        return buttons


    def service_bub(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Setuju & Lanjutkan ✅", 
                    callback_data=f"payment_bub none|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(text="❌ Tidak Setuju & Batalkan ❌", callback_data="close_bub"),
            ],
        ]
        return buttons


    def payment_bub(self, digit, user_id):
        buttons = [
            [
            #    InlineKeyboardButton(
            #        text="QRIS", 
            #        callback_data=f"payment_bub qris|{digit}|{user_id}"
            #    ),
                InlineKeyboardButton(
                    text="DANA",
                    callback_data=f"payment_bub dana|{digit}|{user_id}"
                ),
            #],
            #[
                InlineKeyboardButton(
                    text="OVO", 
                    callback_data=f"payment_bub ovo|{digit}|{user_id}"
                ),
            #    InlineKeyboardButton(
            #        text="GOPAY", 
            #        callback_data=f"payment_bub gopay|{digit}|{user_id}"
            #    )
            ],
            [
                InlineKeyboardButton(
                    text="« Kembali", 
                    callback_data=f"plan_bub none|{digit}|{user_id}"
                )
            ],
        ]
        return buttons


    def confirm_bub(self, digit, user_id):
        buttons = [
            [InlineKeyboardButton(
                text="✅ Konfirmasi ✅",
                callback_data=f"confirm_bub {digit}|{user_id}"
            )]
        ]
        return buttons


    def approve_bub(self, digit, user_id, msgid):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Approve ✅", 
                    callback_data=f"approve_bub {digit}|{user_id}|{msgid}"
                ),
            ],
            [
                InlineKeyboardButton(
                    text="❌ UnApprove ❌", callback_data="close_bub"
                )
            ],
        ]
        return buttons


    def reload_bub(self, user_id):
        digit = 1
        buttons = [
            [InlineKeyboardButton("🔄 Ulangi Berlangganan 🔄", callback_data=f"plan_bub none|{digit}|{user_id}")]
        ]
        return buttons