from pyrogram.types import InlineKeyboardButton


class InlinePob:
    def start_pob(self, user_id):
        digit = 1
        buttons = [
            [
                InlineKeyboardButton(text="🔍 Cari Video 🔎", callback_data=f"select_pob none|{user_id}")
            ],
            [
                InlineKeyboardButton(text="👤 Info Akun", callback_data="info_pob"),
                InlineKeyboardButton(text="Top Up 💎", callback_data=f"topup_pob none|{digit}|{user_id}")
            ],
        ]
        return buttons


    def select_pob(self, user_id):
        buttons = [
            [
                InlineKeyboardButton(text="Video Live", callback_data=f"select_pob live|{user_id}"),
                InlineKeyboardButton(text="Video Indo", callback_data=f"select_pob indo|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Video Asia", callback_data=f"select_pob asia|{user_id}"),
                InlineKeyboardButton(text="Video Bocil", callback_data=f"select_pob bocil|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Video Barat", callback_data=f"select_pob barat|{user_id}"),
                InlineKeyboardButton(text="Video Hijab", callback_data=f"select_pob hijab|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Video Koleksi", callback_data=f"select_pob koleksi|{user_id}"),
                InlineKeyboardButton(text="Video Onlyfans", callback_data=f"select_pob onlyfans|{user_id}")
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_pob"),
            ],
        ]
        return buttons


    def search_pob(self, mode, type, diamond, offset, user_id):
        buttons = [
            [
                InlineKeyboardButton(text=f"Download [ 💎 {diamond} Berlian ]", callback_data=f"search_pob {mode}|none|{offset}|{user_id}"),
            ],
            [
                InlineKeyboardButton(text="⬅️", callback_data=f"search_pob {mode}|prev|{offset}|{user_id}"),
                InlineKeyboardButton(text="➡️", callback_data=f"search_pob {mode}|next|{offset}|{user_id}"),
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data=f"select_pob none|{user_id}"),
            ],
        ]
        return buttons


    def private_pob(self):
        buttons = [
            [
                InlineKeyboardButton(text="🔍 Cari Video 🔎", url=f"https://t.me/{self.username}?start=search"),
            ],
        ]
        return buttons


    def back_pob(self):
        buttons = [
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_pob"),
            ],
        ]
        return buttons
    
    
    def topup_pob(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(text="🆘 Bantuan 🆘", url="https://t.me/TheKingHerd")
            ],
            [
                InlineKeyboardButton(text="- 💎", callback_data=f"topup_pob min|{digit}|{user_id}"),
                InlineKeyboardButton(text="+ 💎", callback_data=f"topup_pob max|{digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="Lanjutkan Ke Pembayaran", callback_data=f"service_pob {digit}|{user_id}")
            ],
            [
                InlineKeyboardButton(text="« Kembali", callback_data="start_pob")
            ],
        ]
        return buttons


    def service_pob(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Setuju & Lanjutkan ✅", 
                    callback_data=f"payment_pob none|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(text="❌ Tidak Setuju & Batalkan ❌", callback_data="close_pob"),
            ],
        ]
        return buttons


    def payment_pob(self, digit, user_id):
        buttons = [
            [
                InlineKeyboardButton(
                    text="QRIS", 
                    callback_data=f"payment_pob qris|{digit}|{user_id}"
                ),
                InlineKeyboardButton(
                    text="DANA",
                    callback_data=f"payment_pob dana|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(
                    text="OVO", 
                    callback_data=f"payment_pob ovo|{digit}|{user_id}"
                ),
                InlineKeyboardButton(
                    text="GOPAY", 
                    callback_data=f"payment_pob gopay|{digit}|{user_id}"
                )
            ],
            [
                InlineKeyboardButton(
                    text="« Kembali", 
                    callback_data=f"topup_pob none|{digit}|{user_id}"
                )
            ],
        ]
        return buttons


    def confirm_pob(self, digit, user_id):
        buttons = [
            [InlineKeyboardButton(
                text="✅ Konfirmasi ✅",
                callback_data=f"confirm_pob {digit}|{user_id}"
            )]
        ]
        return buttons


    def approve_pob(self, digit, user_id, msgid):
        buttons = [
            [
                InlineKeyboardButton(
                    text="✅ Approve ✅", 
                    callback_data=f"approve_pob {digit}|{user_id}|{msgid}"
                ),
            ],
            [
                InlineKeyboardButton(
                    text="❌ UnApprove ❌", callback_data="close_pob"
                )
            ],
        ]
        return buttons


    def reload_pob(self, user_id):
        digit = 1
        buttons = [
            [InlineKeyboardButton("🔁 Ulangi TopUp 🔁", callback_data=f"topup_pob none|{digit}|{user_id}")]
        ]
        return buttons
