class pobDatabase:
    # Diamond 
    async def _get_diamond(self) -> dict:
        _notes = await self.diamonddb.find_one({"diamond": "diamond"})
        if not _notes:
            return {}
        return _notes["notes"]

    async def get_diamond_name(self) -> list:
        _notes = []
        for note in await self._get_diamond():
            _notes.append(note)
        return _notes

    async def get_diamond(self, name: str) -> bool:
        name = name
        _notes = await self._get_diamond()
        if name in _notes:
            return _notes[name]
        else:
            return False

    async def add_diamond(self, name: str, note: dict):
        name = name
        _notes = await self._get_diamond()
        _notes[name] = note
        await self.diamonddb.update_one(
            {"diamond": "diamond"}, {"$set": {"notes": _notes}}, upsert=True
        )

    async def del_diamond(self, name: str) -> bool:
        notesd = await self._get_diamond()
        name = name
        if name in notesd:
            del notesd[name]
            await self.diamonddb.update_one(
                {"diamond": "diamond"}, {"$set": {"notes": notesd}}, upsert=True
            )
            return True
        return False
